<div class="addContainer">
    <div class="modalHeader">
      <div class="editRowModal">
        <div class="modalHeader clearfix">
          <div class="modal-about">
            <div class="font-weight-bold p-t-5 p-l-10 font-17">
              Nuevo Presupuesto</div>
          </div>
        </div>
      </div>
      <button mat-icon-button aria-label="Close dialog">
        <mat-icon>close</mat-icon>
      </button>
    </div>
    <div mat-dialog-content>
      <form class="m-4" [formGroup]="patientForm" (ngSubmit)="onSubmit()">
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Fecha</mat-label>
                <input type="date" matInput formControlName="first" required />
                <mat-error *ngIf="patientForm.get('first').hasError('required')">
                La fecha es requerida
                </mat-error>
            </mat-form-field>
            </div>
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Numero de diente</mat-label>
                <input matInput formControlName="last" />
            </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Superficie</mat-label>
                    <mat-select formControlName="bGroup" required>
                    <mat-option [value]="'Cervical'">Cervical</mat-option>
                    <mat-option [value]="'Distal'"> Distal </mat-option>
                    <mat-option [value]="'Incisal'"> Incisal </mat-option>
                    <mat-option [value]="'Lingual'"> Lingual </mat-option>
                    <mat-option [value]="'Mesial'"> Mesial </mat-option>
                    <mat-option [value]="'Oclusal'"> Oclusal </mat-option>
                    <mat-option [value]="'Palatino'"> Palatino </mat-option>
                    <mat-option [value]="'Vestibular'"> Vestibular </mat-option>
                    </mat-select>
                    <mat-error *ngIf="patientForm.get('bGroup').hasError('required')">
                    La Superficie es requerida
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Categoría</mat-label>
                <input matInput formControlName="convenio" required />
            </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Servicio</mat-label>
                <input matInput formControlName="notas" required />
                <mat-error *ngIf="patientForm.get('notas').hasError('required')">
                El Servicio es obligatorio
                </mat-error>
            </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Observaciones</mat-label>
                <input matInput formControlName="address" />
            </mat-form-field>
            </div>
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Procedimiento/Servicio</mat-label>
                <input
                matInput
                formControlName="mobile"
                maxlength="10"
                onkeypress="return event.charCode >= 48 && event.charCode <= 57"
                />
            </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Subtotal</mat-label>
                <input matInput formControlName="email" type="email" required />
                <mat-error
                *ngIf="patientForm.get('email').hasError('email') && patientForm.get('email').touched"
                >
                El Subtotal es requerido
                </mat-error>
            </mat-form-field>
            </div>
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Descuento</mat-label>
                <input
                matInput
                formControlName="dob"
                required
                />
                <mat-error *ngIf="patientForm.get('dob').hasError('required')">
                El descuento es requerido
                </mat-error>
            </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Total</mat-label>
                <input
                matInput
                formControlName="Edad"
                />
            </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
            <button
                class="mr-3"
                [disabled]="!patientForm.valid "
                mat-raised-button
                color="primary"
            >
                Agregar
            </button>
            <button type="button" mat-button>Cancelar</button>
            </div>
        </div>
        </form>
    </div>
  </div>
